Subject: [RFC PATCH] ARM: Add generic instruction opcode manipulation helpers

From: [email-masked] (Rabin Vincent)
Date: Thu, 1 Dec 2011 22:56:40 +0530

On Mon, Nov 28, 2011 at 05:41:22PM +0000, Dave Martin wrote:
> Rabin, did the __opcode_read stuff look useful for ftrace?  My idea
> was to factor out the logic of how to read/write a whole instruction,
> but my proposal may be overkill...

No.  ftrace just uses probe_kernel_read() and always reads a 32-bit
instruction.